/*
 Bit-bang JTAG interface functions
 
 Copyright (c) 2008 Dimtel, Inc., All Rights Reserved

 $Id: jtag.h,v 1.4 2013/09/05 03:22:42 dim Exp $
 $Date: 2013/09/05 03:22:42 $
 $Author: dim $
 $Revision: 1.4 $
 $Log: jtag.h,v $
 Revision 1.4  2013/09/05 03:22:42  dim
 Converted count from ushort to uchar, to specify 4-byte blocks (128 max)

 Revision 1.3  2013/06/06 04:35:11  dim
 Added EP8 OUT to interface 0 for fast JTAG block loading

 Revision 1.2  2013/06/05 05:04:51  dim
 Added jtag_block_write1()

 Revision 1.1  2012/11/11 01:24:32  dim
 Moved from BxB, adapted to compile for both LLRF4 and IGP12

 Revision 1.1  2011/12/27 19:31:46  dim
 Updated to remove deprecated constructs (at, sfr, xdata, sbit)

 Revision 1.1.1.1  2009/06/02 20:25:58  dim
 Initial import

*/

#ifndef _JTAG_H_
#define _JTAG_H_

uchar jtag_rxtx(uchar value);
void  jtag_block_write(__xdata uchar *buf, uchar len);
void  jtag_block_write1(void);
void  jtag_block_write_ep8(uchar count);
void  jtag_block_write_ep81(void);
void  jtag_block_write_ep82(ushort count);

#endif /* _JTAG_H_ */
